[BLFS Trac] #2663: GnuPG 1.4.9

BLFS Trac trac at linuxfromscratch.org
Sat Dec 27 02:38:22 PST 2008


#2663: GnuPG 1.4.9
---------------------+------------------------------------------------------
 Reporter:  willimm  |       Owner:  blfs-book@…                   
     Type:  task     |      Status:  new                           
 Priority:  normal   |   Milestone:  6.4                           
Component:  BOOK     |     Version:  SVN                           
 Severity:  normal   |    Keywords:                                
---------------------+------------------------------------------------------

Comment(by ag@…):

 I am posting the error I am getting when I am building 1.4.9, which
 happens when libcurl (linked against a SSL/TLS library) is already
 installed, so it can be search-able.


 {{{
 gcc -DHAVE_CONFIG_H -I. -I.. -I../include -I../intl    -O2 -march=athlon64
 -pipe -fomit-frame-pointer -Wall -Wno-pointer-sign -MT gpgkeys_curl-
 gpgkeys_curl.o -MD -MP -MF .deps/gpgkeys_curl-gpgkeys_curl.Tpo -c -o
 gpgkeys_curl-gpgkeys_curl.o `test -f 'gpgkeys_curl.c' || echo
 './'`gpgkeys_curl.c
 gpgkeys_curl.c: In function 'main':
 gpgkeys_curl.c:304: error: 'typeof' applied to a bit-field
 }}}

 Attached is the reformatted patch, apply with -p1.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/2663#comment:2>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list